JmxOperationInfoManager (groovy 2.4.10 API)
Date: 2017-03-14

Package: groovy.jmx.builder

## [Groovy] Class JmxOperationInfoManager

- groovy.jmx.builder.JmxOperationInfoManager

- This class is responsible for assembling JMX Operation Info from the meta map. It cycles through the provided meta map from the bean() node and generate JMX Info objects used to expose information in the MBeanServer.

  See Also:
    JmxMetaMapBuilder
  Authors:
    Vladimir Vivien

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static List<MBeanParameterInfo>` | `buildParamInfosFromMaps(Map metaMap)` Build an array of MBeanParameterInfo from the operation's meta map.
    `` | `static ModelMBeanOperationInfo` | `createGetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for getter operation specified by the MetaProperty.
    `` | `static ModelMBeanOperationInfo` | `createSetterOperationInfoFromProperty(MetaProperty prop)` Returns a MBean operation info for setter operation specified by the MetaProperty.
    `` | `static ModelMBeanConstructorInfo` | `getConstructorInfoFromMap(Map map)` This method extracts ModelMBeanConstructorInfo from provided meta map.
    `` | `static List<ModelMBeanConstructorInfo>` | `getConstructorInfosFromMap(Map metaMap)` This method extracts an array of MBeanConstructorInfo from a list of meta maps.
    `` | `static ModelMBeanOperationInfo` | `getOperationInfoFromMap(Map map)` Generates a ModelMBeanOperationInfo object from a meta map provided.
    `` | `static List<ModelMBeanOperationInfo>` | `getOperationInfosFromMap(Map metaMap)` This method extracts an array of MBeanOperationInfo from a list of meta maps.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### static List<MBeanParameterInfo> buildParamInfosFromMaps(Map metaMap)

      Build an array of MBeanParameterInfo from the operation's meta map.

      Returns:
        an array of JMX MBeanParameterInfo
      Parameters:
        `the` - meta map containing the param info

    - #### static ModelMBeanOperationInfo createGetterOperationInfoFromProperty(MetaProperty prop)

      Returns a MBean operation info for getter operation specified by the MetaProperty. Since no meta map is provided, this method will generate all default descriptor values to describe the operation.

      Returns:
        a ModelMBeanOperation info built
      Parameters:
        `prop` - - the property object on the POGO/POJO that represents a getter

    - #### static ModelMBeanOperationInfo createSetterOperationInfoFromProperty(MetaProperty prop)

      Returns a MBean operation info for setter operation specified by the MetaProperty. Since no meta data is provided, this method will generate all default descriptor values to describe operation.

      Returns:
        a ModelMBeanOperation info built
      Parameters:
        `prop` - - the property object on the POGO/POJO that represents a setter

    - #### static ModelMBeanConstructorInfo getConstructorInfoFromMap(Map map)

      This method extracts ModelMBeanConstructorInfo from provided meta map. It also iterates over any parameters and builds the necessary MBeanParameterInfo array.

      Returns:
        the fully realized ModelMBeanConstructorInfo for the provided constructor reference.
      Parameters:
        `meta` - map containing descriptor information

    - #### static List<ModelMBeanConstructorInfo> getConstructorInfosFromMap(Map metaMap)

      This method extracts an array of MBeanConstructorInfo from a list of meta maps.

      Returns:
        array of ModelMBeanConstructorInfo
      Parameters:
        `list` - of meta maps

    - #### static ModelMBeanOperationInfo getOperationInfoFromMap(Map map)

      Generates a ModelMBeanOperationInfo object from a meta map provided.

      Returns:
        the generated ModelMBeanOperationInfo
      Parameters:
        `the` - meta map for the method

    - #### static List<ModelMBeanOperationInfo> getOperationInfosFromMap(Map metaMap)

      This method extracts an array of MBeanOperationInfo from a list of meta maps.

      Returns:
        array of ModelMBeanOperationInfo
      Parameters:
        `list` - of meta maps